PDA

View Full Version : [SOLVED] GStreamer element x264enc



Jompa
December 30th, 2009, 02:13 AM
Hi.
I want to convert some videos to a format so that I can play them on my HTC Tattoo phone. I found Arista Transcoder, but the program needs a certain plugin to converte the files. My system doesn't find what is needed. It needs:

GStreamer element x264enc

Can anyone help me get this?

VertexPusher
December 30th, 2009, 02:28 AM
Install gstreamer0.10-plugins-ugly-multiverse.

timsdeepsky
December 30th, 2009, 02:29 AM
Do you have to install x264 in your system for this??....http://ubuntuforums.org/showthread.php?t=786095

skrimpy
February 18th, 2010, 08:22 PM
Install gstreamer0.10-plugins-ugly-multiverse.

Thanks, this solved my problem right away!

andynine
March 9th, 2010, 03:04 AM
This worked for me after spending the last three days trying
thanks :)

drsouvikkumar
March 23rd, 2010, 04:52 PM
Install gstreamer0.10-plugins-ugly-multiverse.

Thanks !
anyway is there any better MP4 converter than arista ?

ellannjohnson
June 6th, 2010, 05:51 AM
Thanks. Worked for me too on Lynx.

skyttan
April 24th, 2011, 01:38 PM
Install gstreamer0.10-plugins-ugly-multiverse.

Thank you! I am using Natty and this worked for me! :D

virgoptrex
August 26th, 2011, 08:05 PM
Why not use ffenc_mpeg4 instead?
e.g.


gst-launch -v rtspsrc location="rtsp://<user>:<pass>@<ip>/mpeg4/1/media.amp" ! rtpmp4vdepay! ffdec_mpeg4 ! videoscale ! 'video/x-raw-yuv, width=640, height=480'! videorate ! 'video/x-raw-yuv,framerate=30/1' ! ffmpegcolorspace ! 'video/x-raw-yuv,format=(fourcc)I420' ! ffenc_mpeg4 ! avimux! queue! filesink location=test.avi